
clear
clear matrix
set more off
set mem 2g


cd "Insert Folder"


use fatal_analysis_file_1814, clear


keep if year>1999 & year<2006





sum fatals fat_vmt precip temp frac_rural un_rate if oregon==1 
sum fatals fat_vmt precip temp frac_rural un_rate if counter==1 
sum fatals fat_vmt precip temp frac_rural un_rate if oregon==0 
sum fatals fat_vmt precip temp frac_rural un_rate if oregon==0 & counter==0 

sum fatals fat_vmt precip temp frac_rural un_rate if counter==1 [aweight=tot_vmt]
sum fatals fat_vmt precip temp frac_rural un_rate if oregon==0 [aweight=tot_vmt]
sum fatals fat_vmt precip temp frac_rural un_rate if oregon==0 & counter==0 [aweight=tot_vmt]

gen treatment=0
replace treatment=1 if year>2002 & oregon==1
replace treatment=0 if year==2003 & month==1  


tab year, gen(y_)
tab month, gen(mon_)

keep if year>1999
*keep if month>=3 & month<=5


gen mn_yr=(year-2000)*12+month
tsset fips mn_yr
tab fips, gen(st_)

gen weight=.098 if fips==16
replace weight=.089 if fips==32
replace weight=.781 if fips==53
replace weight=.022 if fips==54
replace weight=1 if fips==41

local controls mon_* y_* precip temp un_rate max_speed 

areg fat_vmt treatment `controls', a(fips) robust cluster(state)
margins, eydx(treatment) atmeans

poisson fat_vmt treatment `controls' st_*,  cluster(state)
lincom treatment 

quietly areg fat_good_vmt treatment `controls', a(fips) robust cluster(state)
margins, eydx(treatment) atmeans

quietly poisson fat_good_vmt treatment `controls' st_*,  cluster(state)
lincom treatment

quietly areg fat_vmt treatment `controls' if oregon==1 | counter==1, a(fips) robust
margins, eydx(treatment) atmeans

quietly poisson fat_vmt treatment `controls' st_* if oregon==1 | counter==1, vce(robust)
lincom treatment

quietly areg fat_good_vmt treatment `controls' if oregon==1 | counter==1, a(fips) robust 
margins if oregon==1 | counter==1, eydx(treatment) atmeans 

quietly poisson fat_good_vmt treatment `controls' st_* if oregon==1 | counter==1, robust
lincom treatment


quietly areg acc_vmt treatment `controls', a(fips) robust cluster(state)
margins, eydx(treatment) atmeans

quietly areg acc_good_vmt treatment `controls', a(fips) robust cluster(state)
margins, eydx(treatment) atmeans

quietly areg acc_vmt treatment `controls' if oregon==1 | counter==1, a(fips) robust
margins, eydx(treatment) atmeans


quietly areg acc_good_vmt treatment `controls' if oregon==1 | counter==1, a(fips) robust
margins if oregon==1 | counter==1, eydx(treatment) atmeans 





gen fatals_acc=fatals/acc
gen fatals_acc_good=fatal_out/acc_out

quietly areg fatals_acc treatment `controls', a(fips) robust cluster(state)
lincom treatment

quietly areg fatals_acc_good treatment `controls', a(fips) robust cluster(state)
lincom treatment

quietly areg fatals_acc treatment `controls' if oregon==1 | counter==1, a(fips) robust
lincom treatment

quietly areg fatals_acc_good treatment `controls' if oregon==1 | counter==1, a(fips) robust 
lincom treatment




*synthetic

quietly areg fat_vmt treatment `controls' [pweight=weight], a(fips) robust
margins [pweight=weight], eydx(treatment) atmeans

quietly poisson fat_vmt treatment `controls' st_* [pweight=weight], vce(robust)
lincom treatment

quietly areg fat_good_vmt treatment `controls' [pweight=weight], a(fips) robust 
margins [pweight=weight], eydx(treatment) atmeans 

quietly poisson fat_good_vmt treatment `controls' st_* [pweight=weight], robust
lincom treatment


quietly areg fatals_acc treatment `controls' [pweight=weight], a(fips) robust
lincom treatment

quietly areg fatals_acc_good treatment `controls' [pweight=weight], a(fips) robust 
lincom treatment




