set more off

*cd "Insert Folder"

use "forecast_panel_2014.dta", clear

tsline fatalall_vmt if state=="OR"
keep if state=="OR"

sum police_vmt if year==1979

gen fte1=(641-police)/12
gen fte2=(.32809-police_vmt)*or_vmt/10
replace fte2=fte2/12

sum police_vmt police if state=="OR" & year==1979
sum police_vmt police if state=="OR" & year==2002

gen phat1_vmt=10*641/or_vmt if state=="OR"
gen phat2_vmt=.32809 if state=="OR"
sum police_vmt police phat1_vmt phat2_vmt if state=="OR" & year==2005



gen diff1=(phat1_vmt-police_vmt) if state=="OR"
gen diff2=(phat2_vmt-police_vmt)  if state=="OR"






gen beta=-.32*.0180403/.1741
gen beta2=-.54*.0079979/.1741

gen fat_outhat1=fatalout_vmt+(diff1)*beta2
gen fat_outhat2=fatalout_vmt+(diff2)*beta2

label variable fatalout_vmt "Actual Police"
label variable fat_outhat1 "1979 Levels"
label variable fat_outhat2 "Police/VMT Constant"



tsline fatalout_vmt fat_outhat1 fat_outhat2, scheme(s1mono) title("Outside City Limits, Fair Weather") lpattern(solid dash dot) tlabel(13 "1980" 73 "1985" 133 "1990" 193 "1995" 253 "2000" 313 "2005") ttitle("")
graph save out_city_long.gph, replace



gen fat_hat1=fatalall_vmt+(diff1)*beta
gen fat_hat2=fatalall_vmt+(diff2)*beta

label variable fatalall_vmt "Actual Police"
label variable fat_hat1 "1979 Levels"
label variable fat_hat2 "Police/VMT Constant"

replace police=police/12

tsline fatalall_vmt fat_hat1 fat_hat2, scheme(s1mono) title("All Highways, All Weather") lpattern(solid dash dot) tlabel(13 "1980" 73 "1985" 133 "1990" 193 "1995" 253 "2000" 313 "2005") ttitle("")

gen diff_fat1=(fatalall_vmt-fat_hat1)*or_vmt/10
gen diff_fat2=(fatalall_vmt-fat_hat2)*or_vmt/10
graph save all_city_long.gph, replace

graph combine all_city_long.gph out_city_long.gph , col(1) title("Actual vs. Predicted Fatalities, 1979-2005")  scheme(s1mono) ysize(8) 
graph export "long_trends.png", replace
graph export "long_trends.emf", replace
graph export "long_trends.eps", replace

collapse (sum) diff_fat1 diff_fat2 fatal_all fte1 fte2 police

sum diff_fat1 diff_fat2

gen counter1=fatal_all-diff_fat1
gen counter2=fatal_all-diff_fat2

gen counter_police1=fte1+police
gen counter_police2=fte2+police
sum counter1 counter2 fatal_all
sum police fte1 fte2 counter_*


gen cost1=fte1*123051/diff_fat1
gen cost2=fte2*123051/diff_fat2

sum cost1 cost2
